Important: These forums are for discussions between SkyDemon users. They are not routinely monitored by SkyDemon staff so any urgent issues should be sent directly to our Customer Support.

iOS 9 Beta - Skydemon Not working


Author
Message
g-bebz
g-bebz
Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)
Group: Forum Members
Posts: 3, Visits: 6
ok ok ok ok I know I'm jumping the gun, running beta software etc... but thats who I am - a developer Smile 

After upgrading to iOS 9 Beta 1 and reinstalling SD on my iPhone 6 it now crashes on startup. Click the icon and get black screen, seconds later it dumps out to the default iphone page to select the app again. 

reboot, restore, nothing fixes it. 

Any suggestions? Any known issues with SD that the team are working on? Any time frames? 

I'll not upgrade my iPad for now (as I use that for flying) but have only done the iPhone 6 (as I need iOS9 for work development) - having the iphone backup when flying was useful though Smile Smile 
Tim Dawson
Tim Dawson
SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)
Group: Forum Members
Posts: 6.4K, Visits: 5K
We have no plans to even look at iOS 9 for the moment. Supporting SkyDemon on beta operating systems just isn't that high on our priority list, sorry.
FrankAKay
FrankAKay
Too Much Forum (133 reputation)Too Much Forum (133 reputation)Too Much Forum (133 reputation)Too Much Forum (133 reputation)Too Much Forum (133 reputation)Too Much Forum (133 reputation)Too Much Forum (133 reputation)Too Much Forum (133 reputation)Too Much Forum (133 reputation)
Group: Forum Members
Posts: 1, Visits: 3
I have the same problem with IOS9, but as a result of a problem with IOS8.3 - the latter has a bug which prevents interaction between my iPad Mini (A1432, original version) and my Bluetooth GPS receiver.  In frustration, I have installed a pre-release version of IOS9, which seems to have solved the Bluetooth trouble (Maps app now behaves properly), but SkyDemon shows the 'this is me' startup screen and then fails before it receives your click to proceed.  It may do me good to go back to a mapboard, but it is not an ideal situation with both of either 2 premium products - iPad AND SkyDemon!
Edited 6/25/2015 1:52:36 PM by FrankAKay
Tim Dawson
Tim Dawson
SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)
Group: Forum Members
Posts: 6.4K, Visits: 5K
iOS 8.4 beta is out, and that also fixes the 8.3 problem with external GPS receivers. The word is that 8.4 will be released in its final form on 30th June.
g-bebz
g-bebz
Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)
Group: Forum Members
Posts: 3, Visits: 6
yeah but unfortunately the "official" word is that once you install iOS9 you cannot then downgrade to iOS8 series :-) 

No worries though, I'll use the iPad for now.

I would have thought that getting SD running on Beta versions would be high on the agenda though, so that you are ready and not playing catch up after the official release - at least thats how we, as software developers, work :-) 
Tim Dawson
Tim Dawson
SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)SkyDemon Team (541K reputation)
Group: Forum Members
Posts: 6.4K, Visits: 5K
We, as software developers, have software to write. Our time is much better spent doing that than trying to make our software work with beta 1 of a new operating system which is, quite likely, broken itself. That doesn't mean we won't pay it some attention later on in its beta cycle, before it's finished - when it's more stable.
g-bebz
g-bebz
Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)Too Much Forum (412 reputation)
Group: Forum Members
Posts: 3, Visits: 6
well its your software - you do what you think is best - im not in this for a developers pissing fight.

Just for the record, for those reading this, although Apple state categorically that once you install iOS9 Beta you cannot downgrade back to iOS 8.4 - it *is* actually perfectly possible, and I have done this today to test our own app on this iPhone 6.

SkyDemon runs on the latest iOS 8.4 Beta 4 with no problems.

Dont get me started on the problems I encountered with iOS 9 - as a consumer or a developer - this is not the place - but for those reading - just dont go there, dont upgrade to iOS 9 unless you are a developer on a development device dedicated to development :-) 
GO

Merge Selected

Merge into selected topic...



Merge into merge target...



Merge into a specific topic ID...




Reading This Topic

Login

Explore
Messages
Mentions
Search